commit c6d208dfbda95d8610519de50075087e56a4f8c0
Author: Andrew Beekhof <andrew@beekhof.net>
Date:   Wed Dec 6 23:50:12 2017 +1100

    Fix: PE: Remote connection resources are safe to to require only quorum

Index: pacemaker-1.1.16+20170320.77ea74d/lib/pengine/complex.c
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/lib/pengine/complex.c
+++ pacemaker-1.1.16+20170320.77ea74d/lib/pengine/complex.c
@@ -708,6 +708,12 @@ common_unpack(xmlNode * xml_obj, resourc
         if(is_set((*rsc)->flags, pe_rsc_fence_device)) {
             value = "quorum";
 
+        } else if (safe_str_eq(crm_element_value((*rsc)->xml, XML_AGENT_ATTR_CLASS), "ocf")
+                   && safe_str_eq(crm_element_value((*rsc)->xml, XML_AGENT_ATTR_PROVIDER), "pacemaker")
+                   && safe_str_eq(crm_element_value((*rsc)->xml, XML_ATTR_TYPE), "remote")
+            ) {
+            value = "quorum";
+
         } else if (is_set(data_set->flags, pe_flag_enable_unfencing)) {
             value = "unfencing";
 
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-rh-1097457.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-rh-1097457.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-rh-1097457.dot
@@ -54,6 +54,7 @@ digraph "g" {
 "VM2_stop_0 lama3" -> "all_stopped" [ style = bold]
 "VM2_stop_0 lama3" -> "stonith 'reboot' lamaVM2" [ style = bold]
 "VM2_stop_0 lama3" [ style=bold color="green" fontcolor="black"]
+"all_stopped" -> "lamaVM2_start_0 lama3" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "lamaVM2-G4_running_0" [ style=bold color="green" fontcolor="orange"]
 "lamaVM2-G4_start_0" -> "FAKE4-IP_start_0 lamaVM2" [ style = bold]
@@ -95,6 +96,5 @@ digraph "g" {
 "stonith_complete" -> "FSlun3_start_0 lama2" [ style = bold]
 "stonith_complete" -> "VM2_start_0 lama3" [ style = bold]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "lamaVM2_start_0 lama3" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-rh-1097457.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-rh-1097457.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-rh-1097457.summary
@@ -50,26 +50,26 @@ Executing cluster transition:
  * Pseudo action:   lamaVM2-G4_stop_0
  * Pseudo action:   FAKE4-IP_stop_0
  * Pseudo action:   FAKE6-clone_stop_0
- * Resource action: lamaVM2         start on lama3
- * Resource action: lamaVM2         monitor=30000 on lama3
- * Resource action: FSlun3          monitor=10000 on lamaVM2
  * Pseudo action:   FAKE4_stop_0
  * Pseudo action:   FAKE6_stop_0
  * Pseudo action:   FAKE6-clone_stopped_0
  * Pseudo action:   FAKE6-clone_start_0
  * Pseudo action:   lamaVM2-G4_stopped_0
- * Resource action: FAKE6           start on lamaVM2
- * Resource action: FAKE6           monitor=30000 on lamaVM2
- * Pseudo action:   FAKE6-clone_running_0
  * Pseudo action:   FSlun3_stop_0
  * Pseudo action:   all_stopped
  * Resource action: FSlun3          start on lama2
  * Pseudo action:   lamaVM2-G4_start_0
+ * Resource action: lamaVM2         start on lama3
+ * Resource action: lamaVM2         monitor=30000 on lama3
+ * Resource action: FSlun3          monitor=10000 on lama2
+ * Resource action: FSlun3          monitor=10000 on lamaVM2
  * Resource action: FAKE4           start on lamaVM2
  * Resource action: FAKE4           monitor=30000 on lamaVM2
  * Resource action: FAKE4-IP        start on lamaVM2
  * Resource action: FAKE4-IP        monitor=30000 on lamaVM2
- * Resource action: FSlun3          monitor=10000 on lama2
+ * Resource action: FAKE6           start on lamaVM2
+ * Resource action: FAKE6           monitor=30000 on lamaVM2
+ * Pseudo action:   FAKE6-clone_running_0
  * Pseudo action:   lamaVM2-G4_running_0
 
 Revised cluster status:
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/guest-node-host-dies.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.dot
@@ -6,6 +6,8 @@ digraph "g" {
 "Fencing_stop_0 rhel7-4" -> "all_stopped" [ style = bold]
 "Fencing_stop_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
 "all_stopped" -> "Fencing_start_0 rhel7-4" [ style = bold]
+"all_stopped" -> "lxc1_start_0 rhel7-2" [ style = bold]
+"all_stopped" -> "lxc2_start_0 rhel7-3" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "container1_start_0 rhel7-2" -> "lxc-ms_promote_0 lxc1" [ style = bold]
 "container1_start_0 rhel7-2" -> "lxc-ms_start_0 lxc1" [ style = bold]
@@ -113,8 +115,6 @@ digraph "g" {
 "stonith 'reboot' lxc2" [ style=bold color="green" fontcolor="orange"]
 "stonith 'reboot' rhel7-1" -> "container1_stop_0 rhel7-1" [ style = bold]
 "stonith 'reboot' rhel7-1" -> "container2_stop_0 rhel7-1" [ style = bold]
-"stonith 'reboot' rhel7-1" -> "lxc1_stop_0 rhel7-1" [ style = bold]
-"stonith 'reboot' rhel7-1" -> "lxc2_stop_0 rhel7-1" [ style = bold]
 "stonith 'reboot' rhel7-1" -> "rsc_rhel7-1_stop_0 rhel7-1" [ style = bold]
 "stonith 'reboot' rhel7-1" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' rhel7-1" [ style=bold color="green" fontcolor="black"]
@@ -124,8 +124,6 @@ digraph "g" {
 "stonith_complete" -> "lxc-ms_promote_0 lxc1" [ style = bold]
 "stonith_complete" -> "lxc-ms_start_0 lxc1" [ style = bold]
 "stonith_complete" -> "lxc-ms_start_0 lxc2" [ style = bold]
-"stonith_complete" -> "lxc1_start_0 rhel7-2" [ style = bold]
-"stonith_complete" -> "lxc2_start_0 rhel7-3" [ style = bold]
 "stonith_complete" -> "rsc_rhel7-1_start_0 rhel7-5" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/guest-node-host-dies.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.summary
@@ -26,16 +26,16 @@ Transition Summary:
 Executing cluster transition:
  * Resource action: Fencing         stop on rhel7-4
  * Pseudo action:   lxc-ms-master_demote_0
+ * Pseudo action:   lxc1_stop_0
  * Resource action: lxc1            monitor on rhel7-5
  * Resource action: lxc1            monitor on rhel7-4
  * Resource action: lxc1            monitor on rhel7-3
+ * Pseudo action:   lxc2_stop_0
  * Resource action: lxc2            monitor on rhel7-5
  * Resource action: lxc2            monitor on rhel7-4
  * Resource action: lxc2            monitor on rhel7-2
  * Fencing rhel7-1 (reboot)
  * Pseudo action:   rsc_rhel7-1_stop_0
- * Pseudo action:   lxc1_stop_0
- * Pseudo action:   lxc2_stop_0
  * Pseudo action:   container1_stop_0
  * Pseudo action:   container2_stop_0
  * Pseudo action:   stonith-lxc2-reboot on lxc2
@@ -47,21 +47,21 @@ Executing cluster transition:
  * Pseudo action:   lxc-ms_demote_0
  * Pseudo action:   lxc-ms-master_demoted_0
  * Pseudo action:   lxc-ms-master_stop_0
- * Resource action: lxc1            start on rhel7-2
- * Resource action: lxc2            start on rhel7-3
  * Resource action: rsc_rhel7-1     monitor=5000 on rhel7-5
  * Pseudo action:   lxc-ms_stop_0
  * Pseudo action:   lxc-ms_stop_0
  * Pseudo action:   lxc-ms-master_stopped_0
  * Pseudo action:   lxc-ms-master_start_0
- * Resource action: lxc1            monitor=30000 on rhel7-2
- * Resource action: lxc2            monitor=30000 on rhel7-3
  * Pseudo action:   all_stopped
  * Resource action: Fencing         start on rhel7-4
  * Resource action: Fencing         monitor=120000 on rhel7-4
+ * Resource action: lxc1            start on rhel7-2
+ * Resource action: lxc2            start on rhel7-3
  * Resource action: lxc-ms          start on lxc1
  * Resource action: lxc-ms          start on lxc2
  * Pseudo action:   lxc-ms-master_running_0
+ * Resource action: lxc1            monitor=30000 on rhel7-2
+ * Resource action: lxc2            monitor=30000 on rhel7-3
  * Resource action: lxc-ms          monitor=10000 on lxc2
  * Pseudo action:   lxc-ms-master_promote_0
  * Resource action: lxc-ms          promote on lxc1
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-fence-unclean.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-fence-unclean.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-fence-unclean.dot
@@ -18,6 +18,7 @@
 "FAKE4_stop_0 18node1" -> "FAKE4_start_0 18node2" [ style = bold]
 "FAKE4_stop_0 18node1" -> "all_stopped" [ style = bold]
 "FAKE4_stop_0 18node1" [ style=bold color="green" fontcolor="black"]
+"all_stopped" -> "remote1_start_0 18node1" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "remote1_monitor_60000 18node1" [ style=bold color="green" fontcolor="black"]
 "remote1_start_0 18node1" -> "remote1_monitor_60000 18node1" [ style = bold]
@@ -32,6 +33,5 @@
 "stonith_complete" -> "FAKE3_start_0 18node1" [ style = bold]
 "stonith_complete" -> "FAKE4_start_0 18node2" [ style = bold]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "remote1_start_0 18node1" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-partial-migrate2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.dot
@@ -89,6 +89,7 @@
 "FAKE9_stop_0 pcmk2" -> "FAKE9_start_0 pcmk_remote4" [ style = bold]
 "FAKE9_stop_0 pcmk2" -> "all_stopped" [ style = bold]
 "FAKE9_stop_0 pcmk2" [ style=bold color="green" fontcolor="black"]
+"all_stopped" -> "pcmk_remote5_start_0 pcmk2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "pcmk_remote2_migrate_from_0 pcmk1" -> "pcmk_remote2_start_0 pcmk1" [ style = bold]
 "pcmk_remote2_migrate_from_0 pcmk1" -> "pcmk_remote2_stop_0 pcmk3" [ style = bold]
@@ -150,10 +151,5 @@
 "stonith_complete" -> "FAKE5_start_0 pcmk_remote4" [ style = bold]
 "stonith_complete" -> "FAKE9_start_0 pcmk_remote4" [ style = bold]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "pcmk_remote2_migrate_from_0 pcmk1" [ style = bold]
-"stonith_complete" -> "pcmk_remote2_start_0 pcmk1" [ style = bold]
-"stonith_complete" -> "pcmk_remote4_start_0 pcmk2" [ style = bold]
-"stonith_complete" -> "pcmk_remote5_migrate_to_0 pcmk1" [ style = bold]
-"stonith_complete" -> "pcmk_remote5_start_0 pcmk2" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-partial-migrate2.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.summary
@@ -84,6 +84,10 @@ Transition Summary:
  * Move    FAKE49	(Started pcmk_remote3 -> pcmk_remote4)
 
 Executing cluster transition:
+ * Resource action: pcmk_remote2    migrate_from on pcmk1
+ * Resource action: pcmk_remote2    stop on pcmk3
+ * Resource action: pcmk_remote4    start on pcmk2
+ * Resource action: pcmk_remote5    migrate_to on pcmk1
  * Resource action: FAKE5           stop on pcmk1
  * Resource action: FAKE9           stop on pcmk2
  * Resource action: FAKE12          stop on pcmk1
@@ -100,10 +104,10 @@ Executing cluster transition:
  * Resource action: FAKE49          stop on pcmk_remote3
  * Fencing pcmk4 (reboot)
  * Pseudo action:   stonith_complete
- * Resource action: pcmk_remote2    migrate_from on pcmk1
- * Resource action: pcmk_remote2    stop on pcmk3
- * Resource action: pcmk_remote4    start on pcmk2
- * Resource action: pcmk_remote5    migrate_to on pcmk1
+ * Pseudo action:   pcmk_remote2_start_0
+ * Resource action: pcmk_remote4    monitor=60000 on pcmk2
+ * Resource action: pcmk_remote5    migrate_from on pcmk2
+ * Resource action: pcmk_remote5    stop on pcmk1
  * Resource action: FAKE5           start on pcmk_remote4
  * Resource action: FAKE9           start on pcmk_remote4
  * Resource action: FAKE12          start on pcmk2
@@ -114,12 +118,14 @@ Executing cluster transition:
  * Resource action: FAKE30          start on pcmk_remote1
  * Resource action: FAKE33          start on pcmk_remote4
  * Resource action: FAKE38          start on pcmk_remote1
+ * Resource action: FAKE39          start on pcmk_remote2
+ * Resource action: FAKE41          stop on pcmk_remote2
+ * Resource action: FAKE47          start on pcmk_remote2
  * Resource action: FAKE48          start on pcmk_remote3
  * Resource action: FAKE49          start on pcmk_remote4
- * Pseudo action:   pcmk_remote2_start_0
- * Resource action: pcmk_remote4    monitor=60000 on pcmk2
- * Resource action: pcmk_remote5    migrate_from on pcmk2
- * Resource action: pcmk_remote5    stop on pcmk1
+ * Pseudo action:   all_stopped
+ * Resource action: pcmk_remote2    monitor=60000 on pcmk1
+ * Pseudo action:   pcmk_remote5_start_0
  * Resource action: FAKE5           monitor=10000 on pcmk_remote4
  * Resource action: FAKE9           monitor=10000 on pcmk_remote4
  * Resource action: FAKE12          monitor=10000 on pcmk2
@@ -130,17 +136,11 @@ Executing cluster transition:
  * Resource action: FAKE30          monitor=10000 on pcmk_remote1
  * Resource action: FAKE33          monitor=10000 on pcmk_remote4
  * Resource action: FAKE38          monitor=10000 on pcmk_remote1
- * Resource action: FAKE39          start on pcmk_remote2
- * Resource action: FAKE41          stop on pcmk_remote2
- * Resource action: FAKE47          start on pcmk_remote2
- * Resource action: FAKE48          monitor=10000 on pcmk_remote3
- * Resource action: FAKE49          monitor=10000 on pcmk_remote4
- * Pseudo action:   all_stopped
- * Resource action: pcmk_remote2    monitor=60000 on pcmk1
- * Pseudo action:   pcmk_remote5_start_0
  * Resource action: FAKE39          monitor=10000 on pcmk_remote2
  * Resource action: FAKE41          start on pcmk_remote4
  * Resource action: FAKE47          monitor=10000 on pcmk_remote2
+ * Resource action: FAKE48          monitor=10000 on pcmk_remote3
+ * Resource action: FAKE49          monitor=10000 on pcmk_remote4
  * Resource action: pcmk_remote5    monitor=60000 on pcmk2
  * Resource action: FAKE41          monitor=10000 on pcmk_remote4
 
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-all.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-all.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-all.dot
@@ -1,4 +1,5 @@
 digraph "g" {
+"all_stopped" -> "galera-0_start_0 controller-2" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-5254005bdbb5_start_0 controller-2" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-525400b4f6bd_start_0 controller-0" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-525400bbf613_start_0 controller-0" [ style = bold]
@@ -114,7 +115,6 @@ digraph "g" {
 "redis_stop_0 controller-1" -> "all_stopped" [ style = bold]
 "redis_stop_0 controller-1" -> "redis-master_stopped_0" [ style = bold]
 "redis_stop_0 controller-1" [ style=bold color="green" fontcolor="orange"]
-"stonith 'reboot' controller-1" -> "galera-0_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "galera-2_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy-clone_stop_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy_stop_0 controller-1" [ style = bold]
@@ -156,7 +156,6 @@ digraph "g" {
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" -> "stonith-fence_ipmilan-525400bbf613_start_0 controller-0" [ style = bold]
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" [ style=bold color="green" fontcolor="black"]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "galera-0_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.14_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.17_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.4.11_start_0 controller-2" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-all.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-all.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-all.summary
@@ -56,13 +56,13 @@ Transition Summary:
  * Move    stonith-fence_ipmilan-5254005bdbb5	(Started controller-1 -> controller-2)
 
 Executing cluster transition:
+ * Pseudo action:   galera-0_stop_0
  * Pseudo action:   galera-master_demote_0
  * Pseudo action:   redis-master_pre_notify_stop_0
  * Resource action: stonith-fence_ipmilan-525400bbf613 stop on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd stop on controller-0
  * Pseudo action:   stonith-fence_ipmilan-5254005bdbb5_stop_0
  * Fencing controller-1 (reboot)
- * Pseudo action:   galera-0_stop_0
  * Pseudo action:   redis_post_notify_stop_0
  * Resource action: redis           notify on controller-0
  * Resource action: redis           notify on controller-2
@@ -79,17 +79,14 @@ Executing cluster transition:
  * Pseudo action:   haproxy-clone_stopped_0
  * Fencing messaging-1 (reboot)
  * Pseudo action:   stonith_complete
- * Resource action: galera-0        start on controller-2
  * Pseudo action:   rabbitmq_post_notify_stop_0
  * Pseudo action:   rabbitmq-clone_stop_0
  * Pseudo action:   galera_stop_0
- * Resource action: galera          monitor=10000 on galera-0
  * Pseudo action:   galera-master_stopped_0
  * Pseudo action:   redis-master_post_notify_stopped_0
  * Pseudo action:   ip-172.17.1.14_stop_0
  * Pseudo action:   ip-172.17.1.17_stop_0
  * Pseudo action:   ip-172.17.4.11_stop_0
- * Resource action: galera-0        monitor=20000 on controller-2
  * Pseudo action:   galera-2_stop_0
  * Resource action: rabbitmq        notify on messaging-2
  * Resource action: rabbitmq        notify on messaging-0
@@ -108,11 +105,14 @@ Executing cluster transition:
  * Resource action: ip-172.17.1.17  monitor=10000 on controller-2
  * Resource action: ip-172.17.4.11  monitor=10000 on controller-2
  * Pseudo action:   all_stopped
+ * Resource action: galera-0        start on controller-2
+ * Resource action: galera          monitor=10000 on galera-0
  * Resource action: stonith-fence_ipmilan-525400bbf613 start on controller-0
  * Resource action: stonith-fence_ipmilan-525400bbf613 monitor=60000 on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd start on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd monitor=60000 on controller-0
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 start on controller-2
+ * Resource action: galera-0        monitor=20000 on controller-2
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 monitor=60000 on controller-2
 Using the original execution date of: 2017-05-03 13:33:24Z
 
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-connection.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-connection.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-connection.dot
@@ -89,14 +89,11 @@ digraph "g" {
 "redis_stop_0 controller-1" -> "all_stopped" [ style = bold]
 "redis_stop_0 controller-1" -> "redis-master_stopped_0" [ style = bold]
 "redis_stop_0 controller-1" [ style=bold color="green" fontcolor="orange"]
-"stonith 'reboot' controller-1" -> "galera-0_stop_0 controller-1" [ style = bold]
-"stonith 'reboot' controller-1" -> "galera-2_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy-clone_stop_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "ip-172.17.1.14_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "ip-172.17.1.17_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "ip-172.17.4.11_stop_0 controller-1" [ style = bold]
-"stonith 'reboot' controller-1" -> "messaging-1_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "redis-master_stop_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "redis_post_notify_stonith_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "redis_stop_0 controller-1" [ style = bold]
@@ -121,11 +118,8 @@ digraph "g" {
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" -> "stonith-fence_ipmilan-525400bbf613_start_0 controller-0" [ style = bold]
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" [ style=bold color="green" fontcolor="black"]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "galera-0_start_0 controller-2" [ style = bold]
-"stonith_complete" -> "galera-2_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.14_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.17_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.4.11_start_0 controller-2" [ style = bold]
-"stonith_complete" -> "messaging-1_start_0 controller-2" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-connection.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-connection.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-connection.summary
@@ -52,6 +52,9 @@ Transition Summary:
  * Move    stonith-fence_ipmilan-5254005bdbb5	(Started controller-1 -> controller-2)
 
 Executing cluster transition:
+ * Pseudo action:   messaging-1_stop_0
+ * Pseudo action:   galera-0_stop_0
+ * Pseudo action:   galera-2_stop_0
  * Pseudo action:   redis-master_pre_notify_stop_0
  * Resource action: stonith-fence_ipmilan-525400bbf613 stop on controller-0
  * Resource action: stonith-fence_ipmilan-525400bbf613 start on controller-0
@@ -62,9 +65,12 @@ Executing cluster transition:
  * Pseudo action:   stonith-fence_ipmilan-5254005bdbb5_stop_0
  * Fencing controller-1 (reboot)
  * Pseudo action:   stonith_complete
- * Pseudo action:   messaging-1_stop_0
- * Pseudo action:   galera-0_stop_0
- * Pseudo action:   galera-2_stop_0
+ * Resource action: messaging-1     start on controller-2
+ * Resource action: galera-0        start on controller-2
+ * Resource action: galera-2        start on controller-2
+ * Resource action: rabbitmq        monitor=10000 on messaging-1
+ * Resource action: galera          monitor=10000 on galera-2
+ * Resource action: galera          monitor=10000 on galera-0
  * Pseudo action:   redis_post_notify_stop_0
  * Resource action: redis           notify on controller-0
  * Resource action: redis           notify on controller-2
@@ -72,20 +78,14 @@ Executing cluster transition:
  * Pseudo action:   redis-master_stop_0
  * Pseudo action:   haproxy-clone_stop_0
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 start on controller-2
- * Resource action: messaging-1     start on controller-2
- * Resource action: galera-0        start on controller-2
- * Resource action: galera-2        start on controller-2
- * Resource action: rabbitmq        monitor=10000 on messaging-1
- * Resource action: galera          monitor=10000 on galera-2
- * Resource action: galera          monitor=10000 on galera-0
+ * Resource action: messaging-1     monitor=20000 on controller-2
+ * Resource action: galera-0        monitor=20000 on controller-2
+ * Resource action: galera-2        monitor=20000 on controller-2
  * Pseudo action:   redis_stop_0
  * Pseudo action:   redis-master_stopped_0
  * Pseudo action:   haproxy_stop_0
  * Pseudo action:   haproxy-clone_stopped_0
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 monitor=60000 on controller-2
- * Resource action: messaging-1     monitor=20000 on controller-2
- * Resource action: galera-0        monitor=20000 on controller-2
- * Resource action: galera-2        monitor=20000 on controller-2
  * Pseudo action:   redis-master_post_notify_stopped_0
  * Pseudo action:   ip-172.17.1.14_stop_0
  * Pseudo action:   ip-172.17.1.17_stop_0
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-fail.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-fail.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-fail.dot
@@ -18,6 +18,7 @@
 "FAKE6_stop_0 rhel7-auto4" -> "all_stopped" [ style = bold]
 "FAKE6_stop_0 rhel7-auto4" -> "rhel7-auto4_stop_0 rhel7-auto2" [ style = bold]
 "FAKE6_stop_0 rhel7-auto4" [ style=bold color="green" fontcolor="orange"]
+"all_stopped" -> "rhel7-auto4_start_0 rhel7-auto2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "rhel7-auto4_monitor_60000 rhel7-auto2" [ style=bold color="green" fontcolor="black"]
 "rhel7-auto4_start_0 rhel7-auto2" -> "rhel7-auto4_monitor_60000 rhel7-auto2" [ style = bold]
@@ -33,6 +34,5 @@
 "stonith_complete" -> "FAKE2_start_0 rhel7-auto3" [ style = bold]
 "stonith_complete" -> "FAKE6_start_0 rhel7-auto2" [ style = bold]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "rhel7-auto4_start_0 rhel7-auto2" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-no-resources.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-no-resources.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-no-resources.dot
@@ -1,4 +1,5 @@
 digraph "g" {
+"all_stopped" -> "galera-0_start_0 controller-2" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-5254005bdbb5_start_0 controller-2" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-525400b4f6bd_start_0 controller-0" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-525400bbf613_start_0 controller-0" [ style = bold]
@@ -98,7 +99,6 @@ digraph "g" {
 "redis_stop_0 controller-1" -> "all_stopped" [ style = bold]
 "redis_stop_0 controller-1" -> "redis-master_stopped_0" [ style = bold]
 "redis_stop_0 controller-1" [ style=bold color="green" fontcolor="orange"]
-"stonith 'reboot' controller-1" -> "galera-0_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "galera-2_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy-clone_stop_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy_stop_0 controller-1" [ style = bold]
@@ -135,7 +135,6 @@ digraph "g" {
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" -> "stonith-fence_ipmilan-525400bbf613_start_0 controller-0" [ style = bold]
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" [ style=bold color="green" fontcolor="black"]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "galera-0_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.14_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.17_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.4.11_start_0 controller-2" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-no-resources.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-no-resources.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-no-resources.summary
@@ -54,12 +54,12 @@ Transition Summary:
  * Move    stonith-fence_ipmilan-5254005bdbb5	(Started controller-1 -> controller-2)
 
 Executing cluster transition:
+ * Pseudo action:   galera-0_stop_0
  * Pseudo action:   redis-master_pre_notify_stop_0
  * Resource action: stonith-fence_ipmilan-525400bbf613 stop on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd stop on controller-0
  * Pseudo action:   stonith-fence_ipmilan-5254005bdbb5_stop_0
  * Fencing controller-1 (reboot)
- * Pseudo action:   galera-0_stop_0
  * Pseudo action:   galera-2_stop_0
  * Pseudo action:   redis_post_notify_stop_0
  * Resource action: redis           notify on controller-0
@@ -69,15 +69,12 @@ Executing cluster transition:
  * Pseudo action:   haproxy-clone_stop_0
  * Fencing messaging-1 (reboot)
  * Pseudo action:   stonith_complete
- * Resource action: galera-0        start on controller-2
  * Pseudo action:   rabbitmq_post_notify_stop_0
  * Pseudo action:   rabbitmq-clone_stop_0
- * Resource action: galera          monitor=10000 on galera-0
  * Pseudo action:   redis_stop_0
  * Pseudo action:   redis-master_stopped_0
  * Pseudo action:   haproxy_stop_0
  * Pseudo action:   haproxy-clone_stopped_0
- * Resource action: galera-0        monitor=20000 on controller-2
  * Resource action: rabbitmq        notify on messaging-2
  * Resource action: rabbitmq        notify on messaging-0
  * Pseudo action:   rabbitmq_notified_0
@@ -99,11 +96,14 @@ Executing cluster transition:
  * Resource action: ip-172.17.1.17  monitor=10000 on controller-2
  * Resource action: ip-172.17.4.11  monitor=10000 on controller-2
  * Pseudo action:   all_stopped
+ * Resource action: galera-0        start on controller-2
+ * Resource action: galera          monitor=10000 on galera-0
  * Resource action: stonith-fence_ipmilan-525400bbf613 start on controller-0
  * Resource action: stonith-fence_ipmilan-525400bbf613 monitor=60000 on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd start on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd monitor=60000 on controller-0
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 start on controller-2
+ * Resource action: galera-0        monitor=20000 on controller-2
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 monitor=60000 on controller-2
 Using the original execution date of: 2017-05-03 13:33:24Z
 
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-unknown.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-unknown.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-unknown.dot
@@ -1,4 +1,5 @@
 digraph "g" {
+"all_stopped" -> "galera-0_start_0 controller-2" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-5254005bdbb5_start_0 controller-2" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-525400b4f6bd_start_0 controller-0" [ style = bold]
 "all_stopped" -> "stonith-fence_ipmilan-525400bbf613_start_0 controller-0" [ style = bold]
@@ -99,7 +100,6 @@ digraph "g" {
 "redis_stop_0 controller-1" -> "all_stopped" [ style = bold]
 "redis_stop_0 controller-1" -> "redis-master_stopped_0" [ style = bold]
 "redis_stop_0 controller-1" [ style=bold color="green" fontcolor="orange"]
-"stonith 'reboot' controller-1" -> "galera-0_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "galera-2_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy-clone_stop_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy_stop_0 controller-1" [ style = bold]
@@ -138,7 +138,6 @@ digraph "g" {
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" -> "stonith-fence_ipmilan-525400bbf613_start_0 controller-0" [ style = bold]
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" [ style=bold color="green" fontcolor="black"]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "galera-0_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.14_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.17_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.4.11_start_0 controller-2" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-unknown.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-unknown.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-unknown.summary
@@ -55,12 +55,12 @@ Transition Summary:
  * Move    stonith-fence_ipmilan-5254005bdbb5	(Started controller-1 -> controller-2)
 
 Executing cluster transition:
+ * Pseudo action:   galera-0_stop_0
  * Pseudo action:   redis-master_pre_notify_stop_0
  * Resource action: stonith-fence_ipmilan-525400bbf613 stop on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd stop on controller-0
  * Pseudo action:   stonith-fence_ipmilan-5254005bdbb5_stop_0
  * Fencing controller-1 (reboot)
- * Pseudo action:   galera-0_stop_0
  * Pseudo action:   galera-2_stop_0
  * Pseudo action:   redis_post_notify_stop_0
  * Resource action: redis           notify on controller-0
@@ -75,15 +75,12 @@ Executing cluster transition:
  * Pseudo action:   haproxy-clone_stopped_0
  * Fencing messaging-1 (reboot)
  * Pseudo action:   stonith_complete
- * Resource action: galera-0        start on controller-2
  * Pseudo action:   rabbitmq_post_notify_stop_0
  * Pseudo action:   rabbitmq-clone_stop_0
- * Resource action: galera          monitor=10000 on galera-0
  * Pseudo action:   redis-master_post_notify_stopped_0
  * Pseudo action:   ip-172.17.1.14_stop_0
  * Pseudo action:   ip-172.17.1.17_stop_0
  * Pseudo action:   ip-172.17.4.11_stop_0
- * Resource action: galera-0        monitor=20000 on controller-2
  * Resource action: rabbitmq        notify on messaging-2
  * Resource action: rabbitmq        notify on messaging-0
  * Pseudo action:   rabbitmq_notified_0
@@ -101,11 +98,14 @@ Executing cluster transition:
  * Resource action: ip-172.17.1.17  monitor=10000 on controller-2
  * Resource action: ip-172.17.4.11  monitor=10000 on controller-2
  * Pseudo action:   all_stopped
+ * Resource action: galera-0        start on controller-2
+ * Resource action: galera          monitor=10000 on galera-0
  * Resource action: stonith-fence_ipmilan-525400bbf613 start on controller-0
  * Resource action: stonith-fence_ipmilan-525400bbf613 monitor=60000 on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd start on controller-0
  * Resource action: stonith-fence_ipmilan-525400b4f6bd monitor=60000 on controller-0
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 start on controller-2
+ * Resource action: galera-0        monitor=20000 on controller-2
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 monitor=60000 on controller-2
 Using the original execution date of: 2017-05-03 13:33:24Z
 
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recovery.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recovery.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recovery.dot
@@ -89,14 +89,11 @@ digraph "g" {
 "redis_stop_0 controller-1" -> "all_stopped" [ style = bold]
 "redis_stop_0 controller-1" -> "redis-master_stopped_0" [ style = bold]
 "redis_stop_0 controller-1" [ style=bold color="green" fontcolor="orange"]
-"stonith 'reboot' controller-1" -> "galera-0_stop_0 controller-1" [ style = bold]
-"stonith 'reboot' controller-1" -> "galera-2_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy-clone_stop_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "haproxy_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "ip-172.17.1.14_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "ip-172.17.1.17_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "ip-172.17.4.11_stop_0 controller-1" [ style = bold]
-"stonith 'reboot' controller-1" -> "messaging-1_stop_0 controller-1" [ style = bold]
 "stonith 'reboot' controller-1" -> "redis-master_stop_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "redis_post_notify_stonith_0" [ style = bold]
 "stonith 'reboot' controller-1" -> "redis_stop_0 controller-1" [ style = bold]
@@ -121,11 +118,8 @@ digraph "g" {
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" -> "stonith-fence_ipmilan-525400bbf613_start_0 controller-0" [ style = bold]
 "stonith-fence_ipmilan-525400bbf613_stop_0 controller-0" [ style=bold color="green" fontcolor="black"]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "galera-0_start_0 controller-2" [ style = bold]
-"stonith_complete" -> "galera-2_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.14_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.1.17_start_0 controller-2" [ style = bold]
 "stonith_complete" -> "ip-172.17.4.11_start_0 controller-2" [ style = bold]
-"stonith_complete" -> "messaging-1_start_0 controller-2" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recovery.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recovery.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recovery.summary
@@ -52,6 +52,9 @@ Transition Summary:
  * Move    stonith-fence_ipmilan-5254005bdbb5	(Started controller-1 -> controller-2)
 
 Executing cluster transition:
+ * Pseudo action:   messaging-1_stop_0
+ * Pseudo action:   galera-0_stop_0
+ * Pseudo action:   galera-2_stop_0
  * Pseudo action:   redis-master_pre_notify_stop_0
  * Resource action: stonith-fence_ipmilan-525400bbf613 stop on controller-0
  * Resource action: stonith-fence_ipmilan-525400bbf613 start on controller-0
@@ -62,9 +65,12 @@ Executing cluster transition:
  * Pseudo action:   stonith-fence_ipmilan-5254005bdbb5_stop_0
  * Fencing controller-1 (reboot)
  * Pseudo action:   stonith_complete
- * Pseudo action:   messaging-1_stop_0
- * Pseudo action:   galera-0_stop_0
- * Pseudo action:   galera-2_stop_0
+ * Resource action: messaging-1     start on controller-2
+ * Resource action: galera-0        start on controller-2
+ * Resource action: galera-2        start on controller-2
+ * Resource action: rabbitmq        monitor=10000 on messaging-1
+ * Resource action: galera          monitor=10000 on galera-2
+ * Resource action: galera          monitor=10000 on galera-0
  * Pseudo action:   redis_post_notify_stop_0
  * Resource action: redis           notify on controller-0
  * Resource action: redis           notify on controller-2
@@ -72,20 +78,14 @@ Executing cluster transition:
  * Pseudo action:   redis-master_stop_0
  * Pseudo action:   haproxy-clone_stop_0
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 start on controller-2
- * Resource action: messaging-1     start on controller-2
- * Resource action: galera-0        start on controller-2
- * Resource action: galera-2        start on controller-2
- * Resource action: rabbitmq        monitor=10000 on messaging-1
- * Resource action: galera          monitor=10000 on galera-2
- * Resource action: galera          monitor=10000 on galera-0
+ * Resource action: messaging-1     monitor=20000 on controller-2
+ * Resource action: galera-0        monitor=20000 on controller-2
+ * Resource action: galera-2        monitor=20000 on controller-2
  * Pseudo action:   redis_stop_0
  * Pseudo action:   redis-master_stopped_0
  * Pseudo action:   haproxy_stop_0
  * Pseudo action:   haproxy-clone_stopped_0
  * Resource action: stonith-fence_ipmilan-5254005bdbb5 monitor=60000 on controller-2
- * Resource action: messaging-1     monitor=20000 on controller-2
- * Resource action: galera-0        monitor=20000 on controller-2
- * Resource action: galera-2        monitor=20000 on controller-2
  * Pseudo action:   redis-master_post_notify_stopped_0
  * Pseudo action:   ip-172.17.1.14_stop_0
  * Pseudo action:   ip-172.17.1.17_stop_0
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-unclean2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-unclean2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-unclean2.dot
@@ -1,4 +1,5 @@
  digraph "g" {
+"all_stopped" -> "rhel7-auto4_start_0 rhel7-auto1" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "rhel7-auto4_monitor_60000 rhel7-auto1" [ style=bold color="green" fontcolor="black"]
 "rhel7-auto4_start_0 rhel7-auto1" -> "rhel7-auto4_monitor_60000 rhel7-auto1" [ style = bold]
@@ -9,6 +10,5 @@
 "stonith 'reboot' rhel7-auto4" -> "stonith_complete" [ style = bold]
 "stonith 'reboot' rhel7-auto4" [ style=bold color="green" fontcolor="black"]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "rhel7-auto4_start_0 rhel7-auto1" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-fail1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail1.dot
@@ -22,6 +22,7 @@ digraph "g" {
 "M_stop_0 lxc1" -> "M_start_0 lxc1" [ style = bold]
 "M_stop_0 lxc1" -> "all_stopped" [ style = bold]
 "M_stop_0 lxc1" [ style=bold color="green" fontcolor="orange"]
+"all_stopped" -> "lxc1_start_0 18node2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "container1_start_0 18node2" -> "B_start_0 lxc1" [ style = bold]
 "container1_start_0 18node2" -> "M_start_0 lxc1" [ style = bold]
@@ -51,6 +52,5 @@ digraph "g" {
 "stonith_complete" -> "M_start_0 lxc1" [ style = bold]
 "stonith_complete" -> "all_stopped" [ style = bold]
 "stonith_complete" -> "container1_start_0 18node2" [ style = bold]
-"stonith_complete" -> "lxc1_start_0 18node2" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail1.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-fail1.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail1.summary
@@ -28,17 +28,17 @@ Executing cluster transition:
  * Resource action: container1      start on 18node2
  * Pseudo action:   M-clone_stop_0
  * Pseudo action:   B_stop_0
- * Resource action: lxc1            start on 18node2
- * Resource action: lxc1            monitor=30000 on 18node2
  * Pseudo action:   M_stop_0
  * Pseudo action:   M-clone_stopped_0
  * Pseudo action:   M-clone_start_0
- * Resource action: B               start on lxc1
  * Pseudo action:   all_stopped
+ * Resource action: lxc1            start on 18node2
+ * Resource action: lxc1            monitor=30000 on 18node2
  * Resource action: M               start on lxc1
  * Pseudo action:   M-clone_running_0
- * Resource action: B               monitor=10000 on lxc1
+ * Resource action: B               start on lxc1
  * Resource action: M               monitor=10000 on lxc1
+ * Resource action: B               monitor=10000 on lxc1
 
 Revised cluster status:
 Online: [ 18node1 18node2 18node3 ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-fail2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail2.dot
@@ -22,6 +22,7 @@ digraph "g" {
 "M_stop_0 lxc1" -> "M_start_0 lxc1" [ style = bold]
 "M_stop_0 lxc1" -> "all_stopped" [ style = bold]
 "M_stop_0 lxc1" [ style=bold color="green" fontcolor="orange"]
+"all_stopped" -> "lxc1_start_0 18node2" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "container1_start_0 18node2" -> "B_start_0 lxc1" [ style = bold]
 "container1_start_0 18node2" -> "M_start_0 lxc1" [ style = bold]
@@ -51,6 +52,5 @@ digraph "g" {
 "stonith_complete" -> "M_start_0 lxc1" [ style = bold]
 "stonith_complete" -> "all_stopped" [ style = bold]
 "stonith_complete" -> "container1_start_0 18node2" [ style = bold]
-"stonith_complete" -> "lxc1_start_0 18node2" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail2.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-fail2.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail2.summary
@@ -28,17 +28,17 @@ Executing cluster transition:
  * Resource action: container1      start on 18node2
  * Pseudo action:   M-clone_stop_0
  * Pseudo action:   B_stop_0
- * Resource action: lxc1            start on 18node2
- * Resource action: lxc1            monitor=30000 on 18node2
  * Pseudo action:   M_stop_0
  * Pseudo action:   M-clone_stopped_0
  * Pseudo action:   M-clone_start_0
- * Resource action: B               start on lxc1
  * Pseudo action:   all_stopped
+ * Resource action: lxc1            start on 18node2
+ * Resource action: lxc1            monitor=30000 on 18node2
  * Resource action: M               start on lxc1
  * Pseudo action:   M-clone_running_0
- * Resource action: B               monitor=10000 on lxc1
+ * Resource action: B               start on lxc1
  * Resource action: M               monitor=10000 on lxc1
+ * Resource action: B               monitor=10000 on lxc1
 
 Revised cluster status:
 Online: [ 18node1 18node2 18node3 ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-imply-stop-on-fence.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-imply-stop-on-fence.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-imply-stop-on-fence.dot
@@ -19,6 +19,8 @@
 "R-lxc-02_kiff-01_stop_0 kiff-01" -> "stonith 'reboot' lxc-02_kiff-01" [ style = bold]
 "R-lxc-02_kiff-01_stop_0 kiff-01" [ style=bold color="green" fontcolor="orange"]
 "all_stopped" -> "fence-kiff-02_start_0 kiff-02" [ style = bold]
+"all_stopped" -> "lxc-01_kiff-01_start_0 kiff-02" [ style = bold]
+"all_stopped" -> "lxc-02_kiff-01_start_0 kiff-02" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "clvmd-clone_stop_0" -> "clvmd-clone_stopped_0" [ style = bold]
 "clvmd-clone_stop_0" -> "clvmd_stop_0 kiff-01" [ style = bold]
@@ -73,8 +75,6 @@
 "stonith 'reboot' kiff-01" -> "clvmd_stop_0 kiff-01" [ style = bold]
 "stonith 'reboot' kiff-01" -> "dlm-clone_stop_0" [ style = bold]
 "stonith 'reboot' kiff-01" -> "dlm_stop_0 kiff-01" [ style = bold]
-"stonith 'reboot' kiff-01" -> "lxc-01_kiff-01_stop_0 kiff-01" [ style = bold]
-"stonith 'reboot' kiff-01" -> "lxc-02_kiff-01_stop_0 kiff-01" [ style = bold]
 "stonith 'reboot' kiff-01" -> "shared0-clone_stop_0" [ style = bold]
 "stonith 'reboot' kiff-01" -> "shared0_stop_0 kiff-01" [ style = bold]
 "stonith 'reboot' kiff-01" -> "stonith_complete" [ style = bold]
@@ -87,8 +87,6 @@
 "stonith_complete" -> "R-lxc-01_kiff-01_start_0 kiff-02" [ style = bold]
 "stonith_complete" -> "R-lxc-02_kiff-01_start_0 kiff-02" [ style = bold]
 "stonith_complete" -> "all_stopped" [ style = bold]
-"stonith_complete" -> "lxc-01_kiff-01_start_0 kiff-02" [ style = bold]
-"stonith_complete" -> "lxc-02_kiff-01_start_0 kiff-02" [ style = bold]
 "stonith_complete" -> "vm-fs_start_0 lxc-01_kiff-01" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 "vm-fs_monitor_20000 lxc-01_kiff-01" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-imply-stop-on-fence.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-imply-stop-on-fence.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-imply-stop-on-fence.summary
@@ -40,9 +40,9 @@ Transition Summary:
 
 Executing cluster transition:
  * Pseudo action:   fence-kiff-02_stop_0
- * Fencing kiff-01 (reboot)
  * Pseudo action:   lxc-01_kiff-01_stop_0
  * Pseudo action:   lxc-02_kiff-01_stop_0
+ * Fencing kiff-01 (reboot)
  * Pseudo action:   R-lxc-01_kiff-01_stop_0
  * Pseudo action:   R-lxc-02_kiff-01_stop_0
  * Pseudo action:   stonith-lxc-02_kiff-01-reboot on lxc-02_kiff-01
@@ -52,17 +52,11 @@ Executing cluster transition:
  * Resource action: R-lxc-01_kiff-01 start on kiff-02
  * Resource action: R-lxc-02_kiff-01 start on kiff-02
  * Pseudo action:   vm-fs_stop_0
- * Resource action: lxc-01_kiff-01  start on kiff-02
- * Resource action: lxc-02_kiff-01  start on kiff-02
  * Pseudo action:   shared0_stop_0
  * Pseudo action:   shared0-clone_stopped_0
  * Resource action: R-lxc-01_kiff-01 monitor=10000 on kiff-02
  * Resource action: R-lxc-02_kiff-01 monitor=10000 on kiff-02
- * Resource action: vm-fs           start on lxc-01_kiff-01
- * Resource action: lxc-01_kiff-01  monitor=30000 on kiff-02
- * Resource action: lxc-02_kiff-01  monitor=30000 on kiff-02
  * Pseudo action:   clvmd-clone_stop_0
- * Resource action: vm-fs           monitor=20000 on lxc-01_kiff-01
  * Pseudo action:   clvmd_stop_0
  * Pseudo action:   clvmd-clone_stopped_0
  * Pseudo action:   dlm-clone_stop_0
@@ -70,7 +64,13 @@ Executing cluster transition:
  * Pseudo action:   dlm-clone_stopped_0
  * Pseudo action:   all_stopped
  * Resource action: fence-kiff-02   start on kiff-02
+ * Resource action: lxc-01_kiff-01  start on kiff-02
+ * Resource action: lxc-02_kiff-01  start on kiff-02
  * Resource action: fence-kiff-02   monitor=60000 on kiff-02
+ * Resource action: vm-fs           start on lxc-01_kiff-01
+ * Resource action: lxc-01_kiff-01  monitor=30000 on kiff-02
+ * Resource action: lxc-02_kiff-01  monitor=30000 on kiff-02
+ * Resource action: vm-fs           monitor=20000 on lxc-01_kiff-01
 
 Revised cluster status:
 Online: [ kiff-02 ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-ms-ordering.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.dot
@@ -1,4 +1,6 @@
  digraph "g" {
+"all_stopped" -> "lxc1_start_0 18node1" [ style = bold]
+"all_stopped" -> "lxc2_start_0 18node1" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "container1_monitor_0 18node1" -> "container1_start_0 18node1" [ style = bold]
 "container1_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
@@ -106,7 +108,5 @@
 "stonith_complete" -> "lxc-ms_promote_0 lxc1" [ style = bold]
 "stonith_complete" -> "lxc-ms_start_0 lxc1" [ style = bold]
 "stonith_complete" -> "lxc-ms_start_0 lxc2" [ style = bold]
-"stonith_complete" -> "lxc1_start_0 18node1" [ style = bold]
-"stonith_complete" -> "lxc2_start_0 18node1" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-ms-ordering.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.exp
@@ -419,6 +419,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
+      </trigger>
+      <trigger>
         <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
@@ -430,9 +433,6 @@
       <trigger>
         <rsc_op id="20" operation="start" operation_key="container1_start_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="28">
@@ -484,6 +484,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
+      </trigger>
+      <trigger>
         <rsc_op id="7" operation="monitor" operation_key="lxc2_monitor_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
@@ -495,9 +498,6 @@
       <trigger>
         <rsc_op id="21" operation="start" operation_key="container2_start_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="33">
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-ms-ordering.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-ms-ordering.summary
@@ -43,18 +43,18 @@ Executing cluster transition:
  * Pseudo action:   lxc-ms_demote_0
  * Pseudo action:   lxc-ms-master_demoted_0
  * Pseudo action:   lxc-ms-master_stop_0
- * Resource action: lxc1            start on 18node1
- * Resource action: lxc2            start on 18node1
  * Pseudo action:   lxc-ms_stop_0
  * Pseudo action:   lxc-ms_stop_0
  * Pseudo action:   lxc-ms-master_stopped_0
  * Pseudo action:   lxc-ms-master_start_0
- * Resource action: lxc1            monitor=30000 on 18node1
- * Resource action: lxc2            monitor=30000 on 18node1
  * Pseudo action:   all_stopped
+ * Resource action: lxc1            start on 18node1
+ * Resource action: lxc2            start on 18node1
  * Resource action: lxc-ms          start on lxc1
  * Resource action: lxc-ms          start on lxc2
  * Pseudo action:   lxc-ms-master_running_0
+ * Resource action: lxc1            monitor=30000 on 18node1
+ * Resource action: lxc2            monitor=30000 on 18node1
  * Resource action: lxc-ms          monitor=10000 on lxc2
  * Pseudo action:   lxc-ms-master_promote_0
  * Resource action: lxc-ms          promote on lxc1
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-rh-1097457.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-rh-1097457.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-rh-1097457.exp
@@ -401,13 +401,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="37" operation="start" operation_key="VM2_start_0" on_node="lama3" on_node_uuid="2"/>
+        <pseudo_event id="25" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="91" operation="stop" operation_key="lamaVM2_stop_0" on_node="lama3" on_node_uuid="2"/>
+        <rsc_op id="37" operation="start" operation_key="VM2_start_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+        <rsc_op id="91" operation="stop" operation_key="lamaVM2_stop_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/guest-node-host-dies.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.exp
@@ -426,6 +426,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
+      </trigger>
+      <trigger>
         <rsc_op id="5" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
       </trigger>
       <trigger>
@@ -440,9 +443,6 @@
       <trigger>
         <pseudo_event id="33" operation="stop" operation_key="lxc1_stop_0"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="27">
@@ -451,11 +451,7 @@
         <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="28">
     <action_set>
@@ -506,6 +502,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
+      </trigger>
+      <trigger>
         <rsc_op id="4" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
       <trigger>
@@ -520,9 +519,6 @@
       <trigger>
         <pseudo_event id="36" operation="stop" operation_key="lxc2_stop_0"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="33">
@@ -531,11 +527,7 @@
         <attributes CRM_meta_container="container2" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="34">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-fence-unclean.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-fence-unclean.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-fence-unclean.exp
@@ -11,7 +11,7 @@
         <rsc_op id="5" operation="stop" operation_key="remote1_stop_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="22" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="7" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
     </inputs>
   </synapse>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-partial-migrate2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.exp
@@ -6,11 +6,7 @@
         <attributes CRM_meta_migrate_source="pcmk3" CRM_meta_migrate_target="pcmk1" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  server="172.17.201.2"/>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="1">
     <action_set>
@@ -38,9 +34,6 @@
       <trigger>
         <rsc_op id="63" operation="migrate_from" operation_key="pcmk_remote2_migrate_from_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
@@ -76,11 +69,7 @@
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="10000"  server="172.17.201.4"/>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="6">
     <action_set>
@@ -102,11 +91,7 @@
         <attributes CRM_meta_migrate_source="pcmk1" CRM_meta_migrate_target="pcmk2" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  server="172.17.201.5"/>
       </rsc_op>
     </action_set>
-    <inputs>
-      <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="8">
     <action_set>
@@ -129,13 +114,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="68" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <pseudo_event id="55" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="72" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="68" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <rsc_op id="72" operation="migrate_from" operation_key="pcmk_remote5_migrate_from_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-all.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-all.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-all.exp
@@ -36,10 +36,10 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="29" operation="stop" operation_key="galera-0_stop_0"/>
+        <pseudo_event id="21" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <pseudo_event id="124" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="29" operation="stop" operation_key="galera-0_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
@@ -49,11 +49,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="125" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="4">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-connection.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-connection.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-connection.exp
@@ -23,9 +23,6 @@
       <trigger>
         <pseudo_event id="26" operation="stop" operation_key="messaging-1_stop_0"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="131" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
@@ -34,11 +31,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="132" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="3">
     <action_set>
@@ -64,9 +57,6 @@
       <trigger>
         <pseudo_event id="31" operation="stop" operation_key="galera-0_stop_0"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="131" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
@@ -75,11 +65,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="132" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="6">
     <action_set>
@@ -105,9 +91,6 @@
       <trigger>
         <pseudo_event id="36" operation="stop" operation_key="galera-2_stop_0"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="131" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
@@ -116,11 +99,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="132" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="9">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-fail.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-fail.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-fail.exp
@@ -24,7 +24,7 @@
         <rsc_op id="3" operation="stop" operation_key="rhel7-auto4_stop_0" on_node="rhel7-auto2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="25" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
     </inputs>
   </synapse>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-no-resources.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-no-resources.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-no-resources.exp
@@ -36,10 +36,10 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="28" operation="stop" operation_key="galera-0_stop_0"/>
+        <pseudo_event id="20" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <pseudo_event id="121" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="28" operation="stop" operation_key="galera-0_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
@@ -49,11 +49,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="122" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="4">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-unknown.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recover-unknown.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recover-unknown.exp
@@ -36,10 +36,10 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="29" operation="stop" operation_key="galera-0_stop_0"/>
+        <pseudo_event id="20" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <pseudo_event id="122" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="29" operation="stop" operation_key="galera-0_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
@@ -49,11 +49,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="123" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="4">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recovery.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-recovery.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-recovery.exp
@@ -23,9 +23,6 @@
       <trigger>
         <pseudo_event id="26" operation="stop" operation_key="messaging-1_stop_0"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="131" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
@@ -34,11 +31,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="132" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="3">
     <action_set>
@@ -64,9 +57,6 @@
       <trigger>
         <pseudo_event id="31" operation="stop" operation_key="galera-0_stop_0"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="131" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
@@ -75,11 +65,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="132" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="6">
     <action_set>
@@ -105,9 +91,6 @@
       <trigger>
         <pseudo_event id="36" operation="stop" operation_key="galera-2_stop_0"/>
       </trigger>
-      <trigger>
-        <pseudo_event id="131" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
@@ -116,11 +99,7 @@
         <attributes CRM_meta_name="stop" CRM_meta_timeout="60000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="132" operation="stonith" operation_key="stonith-controller-1-reboot" on_node="controller-1" on_node_uuid="2"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="9">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-unclean2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-unclean2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-unclean2.exp
@@ -11,7 +11,7 @@
         <rsc_op id="2" operation="stop" operation_key="rhel7-auto4_stop_0" on_node="rhel7-auto1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="8" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
     </inputs>
   </synapse>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-fail1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail1.exp
@@ -197,13 +197,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="12" operation="start" operation_key="container1_start_0" on_node="18node2" on_node_uuid="2"/>
+        <pseudo_event id="11" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="41" operation="stop" operation_key="lxc1_stop_0" on_node="18node2" on_node_uuid="2"/>
+        <rsc_op id="12" operation="start" operation_key="container1_start_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="45" operation="stonith_complete" operation_key="stonith_complete"/>
+        <rsc_op id="41" operation="stop" operation_key="lxc1_stop_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-fail2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-fail2.exp
@@ -197,13 +197,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="12" operation="start" operation_key="container1_start_0" on_node="18node2" on_node_uuid="2"/>
+        <pseudo_event id="11" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="41" operation="stop" operation_key="lxc1_stop_0" on_node="18node2" on_node_uuid="2"/>
+        <rsc_op id="12" operation="start" operation_key="container1_start_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="45" operation="stonith_complete" operation_key="stonith_complete"/>
+        <rsc_op id="41" operation="stop" operation_key="lxc1_stop_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-imply-stop-on-fence.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-imply-stop-on-fence.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-imply-stop-on-fence.exp
@@ -340,13 +340,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="37" operation="start" operation_key="R-lxc-01_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
+        <pseudo_event id="9" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <pseudo_event id="49" operation="stop" operation_key="lxc-01_kiff-01_stop_0"/>
+        <rsc_op id="37" operation="start" operation_key="R-lxc-01_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="59" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="49" operation="stop" operation_key="lxc-01_kiff-01_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
@@ -356,11 +356,7 @@
         <attributes CRM_meta_container="R-lxc-01_kiff-01" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="60" operation="stonith" operation_key="stonith-kiff-01-reboot" on_node="kiff-01" on_node_uuid="1"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="24">
     <action_set>
@@ -384,13 +380,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="40" operation="start" operation_key="R-lxc-02_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
+        <pseudo_event id="9" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <pseudo_event id="52" operation="stop" operation_key="lxc-02_kiff-01_stop_0"/>
+        <rsc_op id="40" operation="start" operation_key="R-lxc-02_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="59" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="52" operation="stop" operation_key="lxc-02_kiff-01_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
@@ -400,11 +396,7 @@
         <attributes CRM_meta_container="R-lxc-02_kiff-01" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <crm_event id="60" operation="stonith" operation_key="stonith-kiff-01-reboot" on_node="kiff-01" on_node_uuid="1"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
   <synapse id="27">
     <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-unexpectedly-running.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-unexpectedly-running.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-unexpectedly-running.dot
@@ -7,6 +7,7 @@
 "FAKE_stop_0 18builder" -> "all_stopped" [ style = bold]
 "FAKE_stop_0 18builder" -> "stonith 'reboot' remote1" [ style = bold]
 "FAKE_stop_0 18builder" [ style=bold color="green" fontcolor="black"]
+"all_stopped" -> "remote1_start_0 18builder" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "remote1_monitor_0 18builder" -> "remote1_start_0 18builder" [ style = bold]
 "remote1_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-unexpectedly-running.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/whitebox-unexpectedly-running.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/whitebox-unexpectedly-running.exp
@@ -56,6 +56,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped"/>
+      </trigger>
+      <trigger>
         <rsc_op id="2" operation="monitor" operation_key="remote1_monitor_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
       <trigger>
